Sign inGet started

Current user

GET
/me
Retrieve the profile of the currently logged in user.
Corps de la réponse
activeSessions
integer
obligatoire
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obligatoire
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obligatoire
Email addresses associated with user.
Afficher les attributs enfants
emails.createdAt
string
obligatoire
When this record was created.
emails.email
string
obligatoire
The email address.
emails.id
string
obligatoire
ID of the email record.
emails.passwordSet
boolean
obligatoire
Whether there is a password set for this email address.
emails.tokenSet
boolean
obligatoire
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obligatoire
ID of the user this record is associated with.
emails.verified
boolean
obligatoire
Whether the email address is verified.
id
string
obligatoire
ID of the user
identities
array of object
Third-party identities associated with user.
Afficher les attributs enfants
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obligatoire
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obligatoire
The phone numbers associated with the user.
Afficher les attributs enfants
phoneNumbers.createdAt
string
obligatoire
phoneNumbers.id
string
obligatoire
phoneNumbers.phoneNumber
string
obligatoire
phoneNumbers.primary
boolean
obligatoire
phoneNumbers.updatedAt
string
obligatoire
phoneNumbers.userId
string
obligatoire
phoneNumbers.verified
boolean
obligatoire
status
string
obligatoire
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obligatoire
When the user was last updated.
userFraudInformation
object
Afficher les attributs enfants
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Exemple de code
curl -X GET 'https://api.bird.com/me' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/me
Update the profile of the currently logged in user.
Corps de la requête
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
Corps de la réponse
activeSessions
integer
obligatoire
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obligatoire
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obligatoire
Email addresses associated with user.
Afficher les attributs enfants
emails.createdAt
string
obligatoire
When this record was created.
emails.email
string
obligatoire
The email address.
emails.id
string
obligatoire
ID of the email record.
emails.passwordSet
boolean
obligatoire
Whether there is a password set for this email address.
emails.tokenSet
boolean
obligatoire
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obligatoire
ID of the user this record is associated with.
emails.verified
boolean
obligatoire
Whether the email address is verified.
id
string
obligatoire
ID of the user
identities
array of object
Third-party identities associated with user.
Afficher les attributs enfants
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obligatoire
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obligatoire
The phone numbers associated with the user.
Afficher les attributs enfants
phoneNumbers.createdAt
string
obligatoire
phoneNumbers.id
string
obligatoire
phoneNumbers.phoneNumber
string
obligatoire
phoneNumbers.primary
boolean
obligatoire
phoneNumbers.updatedAt
string
obligatoire
phoneNumbers.userId
string
obligatoire
phoneNumbers.verified
boolean
obligatoire
status
string
obligatoire
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obligatoire
When the user was last updated.
userFraudInformation
object
Afficher les attributs enfants
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Exemple de code
curl -X PATCH 'https://api.bird.com/me' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
Exemple de code
curl -X DELETE 'https://api.bird.com/me' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'